Bug 1464790 - Docker containers cannot connect to the internet
Docker containers cannot connect to the internet
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Antonio Murdaca
Fedora Extras Quality Assurance
:
: 1464791 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-25 15:46 EDT by Mebus
Modified: 2017-07-10 17:04 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 07:47:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mebus 2017-06-25 15:46:24 EDT
Description of problem:

Docker Containers in Fedora 24 cannot connect to the internet, when firewalld is used.

This:

https://opsech.io/posts/2017/May/23/docker-dns-with-firewalld-on-fedora.html

fixed the DNS issue, but I still cannot connect to the internet from within a container.
Comment 1 Daniel Walsh 2017-06-26 09:25:34 EDT
*** Bug 1464791 has been marked as a duplicate of this bug. ***
Comment 2 Antonio Murdaca 2017-06-27 06:06:14 EDT
which docker version are you using? Could you also add steps to reproduce? A bugzilla filed like this isn't helping people trying to fix the bug.
Comment 3 Antonio Murdaca 2017-06-27 06:12:17 EDT
from what I can see, on Fedora 24 you're still using docker-1.10.x. I'm probably going to fix this in 1.12.x however, could you try and use docker-latest instead (which is at 1.12.x)?
Comment 4 Antonio Murdaca 2017-06-27 06:28:57 EDT
This is a risky backport for docker 1.10.x - I've backported the patch to the 1.12.x branch:

https://github.com/projectatomic/docker/commit/e07b00065849faf8b811090476f8d9cccebbd59f

That will be soon available as "docker-latest" in Fedora 24. I want to point out that F24 will be EOL'ed in around a month so either use docker-latest there, or upgrade your Fedora.
Comment 5 Daniel Walsh 2017-06-27 07:47:55 EDT
Yes lets close this as fixed in the next release.
Comment 6 Mebus 2017-07-10 17:04:43 EDT
It was a network problem (TTL).

Mebus

Note You need to log in before you can comment on or make changes to this bug.